%define lib_major	2
%define lib_name	%mklibname unicap %{lib_major}
%define develname	%mklibname unicap -d

Summary:	Library to access different kinds of ( video ) capture devices
Name:		libunicap
Version:	0.9.12
Release:	%mkrel 18
License:	GPLv2+
Group:		System/Libraries
Url:		https://unicap-imaging.org/
Source0:	https://unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch0:		unicap-0.9.6-v4l1.patch
Patch1:		libunicap-0.9.12-link.patch
Patch2:		libunicap-0.9.12-includes.patch
Patch3:		libunicap-0.9.12-memerrs.patch
Patch4:		libunicap-0.9.12-arraycmp.patch
Patch5:		libunicap-0.9.12-warnings.patch
Patch6:		libunicap-bz641623.patch
Patch7:		libunicap-bz642118.patch
Patch8:		libunicap-0.9.12-udevrules-dir.patch
Patch9:		libunicap-0.9.12-datadirname.patch
Patch10:	libunicap-0.9.12-gcc10.patch
Patch11:	libunicap-de-encoding.patch
Patch12:	libunicap-gcc14-fix.patch

BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
unicap is a library to access different kinds of ( video ) capture devices.

%package -n %{lib_name}
Summary:	Dynamic libraries for Unicap
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
unicap is a library to access different kinds of ( video ) capture devices.

%package -n %{develname}
Summary:	Static libraries, include files for Unicap
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{develname}
Static library and headers file
needed in order to develop applications using unicap.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p0
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1

sed -i -e 's/\(SYSFS\|ATTRS\)/ATTRS/g' data/50-euvccam.rules

# fix build with autoconf 2.69d
sed -i -e 's/AM_GNU_GETTEXT.*/AM_GNU_GETTEXT([external])\nAM_GNU_GETTEXT_REQUIRE_VERSION([0.21])/' configure.*

%build
autoreconf -vfi

%configure --disable-v4l --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang unicap

%files -f unicap.lang
%{_udevrulesdir}/*
%{_libdir}/unicap%{lib_major}

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libunicap
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.9.12-18.mga10
+ Revision: 2229042
- Mageia 10 Mass Rebuild

* Fri Oct 18 2024 daviddavid <daviddavid> 0.9.12-17.mga10
+ Revision: 2107982
- add some patches to fix build with GCC 10 and GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.9.12-16.mga9
+ Revision: 1793322
- Mageia 9 Mass Rebuild

* Thu Nov 05 2020 wally <wally> 0.9.12-15.mga8
+ Revision: 1642895
- fix build with autoconf 2.69d

* Tue Aug 04 2020 joequant <joequant> 0.9.12-14.mga8
+ Revision: 1610980
- fix legacy common

* Tue Feb 18 2020 umeabot <umeabot> 0.9.12-13.mga8
+ Revision: 1539921
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 14 2019 daviddavid <daviddavid> 0.9.12-12.mga8
+ Revision: 1466749
- add patch to avoid a /usr/@DATADIRNAME@/locale/ directory (mga#25872)

* Sun Sep 23 2018 umeabot <umeabot> 0.9.12-11.mga7
+ Revision: 1299194
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.9.12-10.mga7
+ Revision: 1234021
- loosen lib and tighten devel pkg requires

* Sun Jan 28 2018 daviddavid <daviddavid> 0.9.12-9.mga7
+ Revision: 1197479
- rebuild for mga7

* Mon Feb 08 2016 umeabot <umeabot> 0.9.12-8.mga6
+ Revision: 942724
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.12-7.mga5
+ Revision: 739198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.12-6.mga5
+ Revision: 681823
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.12-5.mga4
+ Revision: 521079
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 0.9.12-4.mga3
+ Revision: 388560
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 0.9.12-3.mga3
+ Revision: 358287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 wally <wally> 0.9.12-2.mga3
+ Revision: 335872
- drop .la files
- clean .spec a bit

* Thu Jun 16 2011 fwang <fwang> 0.9.12-1.mga2
+ Revision: 108113
- clean buildroot
- imported package libunicap


* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 673156
- sync some fedora patches
- cp old spec
- Created package structure for libunicap.


* Tue Jan 23 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-1mdv2007.0
+ Revision: 112500
-Patch0: fix libdir for biarch
- Import unicap

